<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");

unset($titulos);
unset($query_expor);

$nombrepagina = "ORDENES POR REMISON";
encabezado($target);
$user = $_SESSION['validar'];
$tamano_pagina = 20;
$_SESSION['tam'] = $tamano_pagina;
$pagina = $_GET["pagina"];

if (!$pagina) {
    $inicio = 0;
    $_SESSION['inicio'] = $inicio;
    $pagina = 1;
} else {
    $inicio = ($pagina - 1) * $tamano_pagina;
    $_SESSION['inicio'] = $inicio;
}
$filas = 1;
if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);

    $consOds = $_GET['orden'];
    $consCli = $_GET['cliente'];
    $consF1 = $_GET['f1'];
    $consF2 = $_GET['f2'];
    $totalOrden = 0;

    $conexionObj2 = new conexion();
    $conexionObj2->conectarse();

    if (!empty($consOds)) {
        $StrTitulo = 'Orden de Servicio: ' . $consOds;
        $Titulo1 = 'CLIENTE';
        
    } 
    ?>
    <CENTER>
        <table width="719" border="0" class="primaria">
            <tr>
                <td width="750" colspan="11" align="center">

            </tr>
            <tr class=miTable_tr>
                <td colspan="11" class=miTable_th1><div align="center">..::Consulta de Remisiones ::..</div></td>
            </tr>
            
        </table>

        <!--/////////aqui debe ir el div////////////////////-->    
        <div style='overflow-x:scroll;overflow-y:scroll;width:720px;height:480px'>
            <table border="0" width="720" class="primaria">
                <tr class="miTable_tr">
                
                    <td valign=top class=miTable_th1 width="90"><div align="center">Ordenes</div></td>
                    <td valign=top class=miTable_th1 width="90"><div align="center">Cantidad</div></td>
                    <td valign=top class=miTable_th1 width="90"><div align="center">Remision</div></td>
                    <td valign=top class=miTable_th1 width="90" nowrap="nowrap"><div align="center">Estado</div></td>
                    <td valign=top class=miTable_th1 width="90" nowrap="nowrap"><div align="center">Fecha Inicial</div></td>
                    <td valign=top class=miTable_th1 width="90" nowrap="nowrap"><div align="center">Fecha Final</div></td>
                </tr>
                <?
                if (!empty($consOds)) {

 $mysqli = mysqli_connect("192.157.230.224", "web", "nd2016*", "gama");
if (mysqli_connect_errno())
  {
  echo "Failed to connect to MySQL: " . mysqli_connect_error();
  }

   $resul = mysqli_query($mysqli,  "call consulta_remison('" . $consOds . "');");       
        while ($row = mysqli_fetch_assoc($resul)) {
         ?>
                    <tr class="miTable_tr">
                        <td valign=top class=miTable_td nowrap="nowrap"><div align="center"><? echo trim($row['orden']) ?></div></td>
                        <td valign=top class=miTable_td nowrap="nowrap"><div align="center"><? echo trim($row['cantidad']) ?></div></td>
                        <td valign=top class=miTable_td nowrap="nowrap"><div align="center"><? echo $row['remision'] ?></div></td>
                        <td valign=top class=miTable_td nowrap="nowrap"><div align="center"><? echo $row['nombre']; ?></div></td>
                        <td valign=top class=miTable_td nowrap="nowrap"><div align="center"><? echo $row['fecha_i']; ?></div></td>
                        <td valign=top class=miTable_td nowrap="nowrap"><div align="center"><? echo $row['fecha_f']; ?></div></td>

                    </tr>
                
            <?
        		
        }
            ?>
</table>
            </div>
<?
	  }
        

        exit();




        $_SESSION['sql_nomina'] = $query_pen_men;
        $_SESSION['titulos'] = $titulos;
        $_SESSION['nom_xls'] = "Pendietes_General";

        class filas {

            var $rowsobj;

            function cantidad($sql_consulta) {
                $this->userObj = new select_zonas();
                $cant = $this->userObj->get_filas($sql_consulta);
                return $cant;
            }

            function arreglo($sql_consulta) {
                $this->userObj = new select_zonas();
                $array = $this->userObj->get_array($sql_consulta);
                return $array;
            }

            function eliminar($perfil, $f1, $f2, $tabla) {
                $tamano_pagina = $_SESSION['tam'];
                $inicio = $_SESSION['inicio'];
                $this->userObj = new select_zonas();
                $this->userObj->lista_mensajero_p($inicio, $tamano_pagina, $_GET['suc'], $perfil, $f1, $f2, $tabla);
            }

        }

        $filasobj = new filas();
        $cant = $filasobj->cantidad($sql_pendientes);
        $array = $filasobj->arreglo($sql_total);
        $total_paginas = ceil($cant / $tamano_pagina);
        $numero_filas = count($array);
        for ($i = 0; $i < $numero_filas; $i++)
            $cant2 = $cant2 + $array[$i][0];
        ?>
        <form action="" method="POST" name="backup">
            <CENTER>
                <table width="400" border="0" class="primaria">
                    <tr class=miTable_tr>
                        <td colspan="5" class=miTable_th1><div align="center">..:: Pendientes Mensajeros ::..</div></td>
                    </tr>
                    <tr class=miTable_tr>
                        <td colspan="4" class=miTable_th1 valign="middle">Cantidad de registros encontrados <? print $cant; ?>
                        <td align="right" class=miTable_th1 valign="middle"><a href='xls_alfa.php'><img src='imagenes/xls_icon.gif' title="Exportar a Excel" align="absmiddle"></a></td>
                        </td>
                    </tr>
                    <tr class="miTable_tr">
                        <td valign=top class=miTable_th1 width="30">Id</td>
                        <td valign=top class=miTable_th1 width="210">Nombre</td>
                        <td valign=top class=miTable_th1 width="80">C.C.</td>
                        <td valign=top class=miTable_th1 colspan="2" width="80">Pendientes</td>
                    </tr>
                    <? $filasobj->eliminar($perfil, $f1, $f2, $tabla); ?>
                    </tr>
                    <tr class=miTable_tr>
                        <td class=miTable_th1 colspan="3">
                            <div align="right"> Total Pendientes:</div>
                        </td>
                        <td class=miTable_th1 colspan="8">
                            <? echo $cant2; ?>
                        </td>
                    </tr>
                    <tr class=miTable_tr>
                        <td class=miTable_td colspan="9">
                            <div align="center">
                                <?
                                $id_user = $_GET['id_user'];
                                $id_sucursal = $_GET['suc'];
                                if ($total_paginas > 1) {
                                    echo "Paginas:";
                                    $start = ( $pagina - 5 > 0 ? $pagina - 5 : 1 );
                                    if ($start > 1) {
                                        print "&nbsp;<a href='pendientes_mensajeros.php?pagina=" . ($start - 1) . "&id_user=$id_user&suc=$id_sucursal&tabla=$tabla&f1=$f1&f2=$f2'> << </A>";
                                    }
                                    for ($i = 0; $i < 10 && $total_paginas >= $start + $i; $i++) {
                                        if ($pagina == $start + $i) {
                                            print "&nbsp;&nbsp;" . ($start + $i);
                                        } else {
                                            print "&nbsp;&nbsp;<a href='pendientes_mensajeros.php?pagina=" . ($start + $i) . "&id_user=$id_user&suc=$id_sucursal&tabla=$tabla&f1=$f1&f2=$f2'>" . ($start + $i) . " </A>";
                                        }
                                    }
                                    if ($start + $i < $total_paginas) {
                                        print "&nbsp;&nbsp;<a href='pendientes_mensajeros.php?pagina=" . ($start + $i) . "&id_user=$id_user&suc=$id_sucursal&tabla=$tabla&f1=$f1&f2=$f2'> >> </A>";
                                    }
                                }
                                ?>
                            </div>
                        </td>
                    </tr>
                    <tr class=miTable_tr>
                        <td class=miTable_th1 colspan="9">
                            <DIV align="center">
                                Ir a la pagina
                                <input type='text' name='pagina' value='' size="5" class="inputbox">
                                <input type='hidden' name='id_user' value='<? echo $id_user ?>'>
                                <input type='hidden' name='suc' value='<? echo $id_sucursal ?>'>
                                <input type='hidden' name='tabla' value='<? echo $tabla ?>'>
                                <input type='hidden' name='f1' value='<? echo $f1 ?>'>
                                <input type='hidden' name='f2' value='<? echo $f2 ?>'>
                                <input type='submit' name='' value='Ir' class="inputbox">
                            </DIV>
                        </td>
                    </tr>
                </table>

                <?
                mostrar_pie();
            }
            echo"</td>";
            echo"</tr>";
            echo"</table>";
            echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
            echo"<tbody><tr>";
            echo"<td></td>";
            echo"</tr>";
            echo"<tr>";
            echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
            echo"</tr>";
            echo"<tr>";
            ?><td><center>
                <? pie_de_pagina(); ?>
            </center></td>
            <?php
            echo"</tr>";
            echo"</tbody></table>";
            echo"</center>";
            echo"</body>";
            echo"</html>";
            ?>
        </CENTER>
    </form>
